# Import Certificate

## Import Certificate

> This can be used to Import and change the PFX Certificate within Web Admin settings.> \
> A local administrator on the Web Server or a RAS Root administrator can call this command.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/WebService/settings/ImportCertificate":{"put":{"tags":["1-Farm settings//Web Service"],"summary":"Import Certificate","description":"This can be used to Import and change the PFX Certificate within Web Admin settings.\r\nA local administrator on the Web Server or a RAS Root administrator can call this command.","operationId":"960f50c8-218b-4c77-af8b-4153ab66cc17","parameters":[{"name":"CertificatePassword","in":"query","description":"The PFX Certificate Password.","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"CertificateFile":{"type":"string","description":"Upload File","format":"binary"}}}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/webservice/settings/import-certificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
